Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Locker Class Reference

Locks/Unlocks a mutex using RAII. More...

`#include <Mutex.h>`

Collaboration diagram for FIX::Locker:
[legend]

List of all members.

## Public Member Functions

| Locker (Mutex &mutex)
| ~Locker ()

## Private Attributes

Mutex & | m_mutex

## Detailed Description

Locks/Unlocks a mutex using RAII.

Definition at line 95 of file Mutex.h.

## Constructor & Destructor Documentation

FIX::Locker::Locker | ( | Mutex & | mutex | ) | `[inline]`

Definition at line 98 of file Mutex.h.

References FIX::Mutex::lock(), and m_mutex.

    00099   : m_mutex( mutex )
    00100   {
    00101     m_mutex.lock();
    00102   }

FIX::Locker::~Locker | ( |  | ) | `[inline]`

Definition at line 104 of file Mutex.h.

References m_mutex, and FIX::Mutex::unlock().

    00105   {
    00106     m_mutex.unlock();
    00107   }

## Member Data Documentation

Mutex& FIX::Locker::m_mutex`[private]`

Definition at line 109 of file Mutex.h.

Referenced by Locker(), and ~Locker().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Mutex.h